import request from '@/utils/request'

// api地址
const api = {
  browseHistoryList: 'goods/browseLog',
  list: 'goods/list',
  detail: 'goods/detail',
  basic: 'goods/basic',
  specData: 'goods/specData',
  skuInfo: 'goods/skuInfo',
  recommended: 'goods/recommended',
  poster: 'goods/poster',
  serveList:'goods.service/list',
  presale:'goods/presale'
}

// 商品价格修改
export const editGoodsPrice = (param, option) => {
  return request.post('StoreKeeper/editGoodsPrice', param, option)
}

// 商品浏览记录
export const browseHistoryList = (param, option) => {
  return request.get('goods/browseLog', param, option)
}

// 商品浏览记录 删除
export const browseHistoryDel = (param, option) => {
  return request.post('goods/browseDel', param, option)
}

// 取消预约
export const canlpresale = (data) => {
	return request.get('goods/canlpresale', data)
}
// 预约列表
export const presaleList = (data) => {
	return request.get('goods/presaleList', data)
}
// 立即预约
export const presale = (data) => {
	return request.get('goods/presale', data)
}

// // 商品浏览记录
// export const presale = (param, option) => {
//   return request.get(api.presale, param, option)
// }
// 服务
export const serveList = (param, option) => {
  return request.get(api.serveList, param, option)
}
// 商品列表
export const list = (param, option) => {
  return request.get(api.list, param, option)
}

// 商品详情(详细数据)
export const detail = (goodsId, verifyStatus = true, param = {}) => {
  verifyStatus = Number(verifyStatus)
  return request.get(api.detail, { goodsId, verifyStatus, ...param })
}

// 商品详情(基本数据)
export const basic = (goodsId, verifyStatus = true, param = {}) => {
  verifyStatus = Number(verifyStatus)
  return request.get(api.basic, { goodsId, verifyStatus, ...param })
}

// 获取商品规格数据
export const specData = (goodsId) => {
  return request.get(api.specData, { goodsId })
}

// 获取推荐的商品列表
export const recommended = () => {
  return request.get(api.recommended)
}

// 获取商品的指定SKU信息
export const skuInfo = (goodsId, goodsSkuId, param) => {
  return request.get(api.skuInfo, { goodsId, goodsSkuId, ...param })
}

// 生成商品海报
export const poster = param => {
  return request.get(api.poster, param)
}
// 店长设置秒杀价
export const editGoodsSeckillPrice = param => {
  return request.post('StoreKeeper/editGoodsSeckillPrice', param)
}